Loading...
Searching...
No Matches
lutok::state::impl Struct Reference

Internal implementation for lutok::state. More...

## Public Member Functions

| impl (lua_State *lua_, bool owned_)
| Constructor.

## Public Attributes

lua_State * | lua_state
| The Lua internal state.
bool | owned
| Whether we own the state or not (to decide if we close it).

## Detailed Description

Internal implementation for lutok::state.

## Constructor & Destructor Documentation

## impl()

lutok::state::impl::impl | ( | lua_State * | lua_,
|  | bool | owned_ )

inline

Constructor.

Parameters

  lua_ | The Lua internal state.
  owned_ | Whether we own the state or not.

The documentation for this struct was generated from the following file:

- state.cpp